import { Query } from "../types/query";
import { Source } from "../types/source";
export declare class QueryAnalyzer {
    readonly query: Query;
    readonly source: Source;
    constructor(query: Query, source: Source);
    analyze(): void;
    analyzeExpressions(): void;
}
